Skip to main content
DELETE
/
v1
/
business
/
{business_id}
/
subscription
Unsubscribe from business monitoring
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.getpalm.com/v1/business/{business_id}/subscription', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "object": "subscription",
  "deleted": true
}

Authorizations

Authorization
string
header
required

Enter your API key in the format: sk_test_xxxxx or sk_live_xxxxx

Path Parameters

business_id
string
required

Business ID

Response

Subscription cancelled successfully

id
string<uuid>
required

ID of the cancelled subscription

Example:

"123e4567-e89b-12d3-a456-426614174000"

object
enum<string>
required

Object type identifier

Available options:
subscription
Example:

"subscription"

deleted
boolean
required

Indicates whether the subscription was successfully cancelled

Example:

true